#ifndef CONFIG_H
#define CONFIG_H




#define DEBUGENABLED

#define WIFI_SSID "AX180024G"
#define WIFI_PASS "~~" 


#undef TFT_MOSI
#undef TFT_MISO
#undef TFT_SCLK
#undef TFT_CS
#undef TFT_DC


#undef ILI9341_DRIVER
#define GC9A01_DRIVER

#define TFT_SDA_READ

#define TFT_MOSI 35
#define TFT_MISO -1
#define TFT_SCLK 36 
#define TFT_CS 12   // Dummy....
#define TFT_DC 39
#define TFT_RST 38

#define SCREEN_1_CS 34
#define SCREEN_2_CS 26
#define SCREEN_3_CS 33


#define BUTTON_1 14
#define BUTTON_2 15
#define BUTTON_3 16

#define BUTTON_MODE INPUT_PULLDOWN

#define TFT_BACKGROUND_COLOR TFT_BLACK

#define NUMBEROFDISPLAYS 3
#define TFT_ROTATION 0


#define NTP_SERVER "192.168.0.1"

#define SCREEN_SIZE 240
#define TFT_WIDTH SCREEN_SIZE
#define TFT_HEIGHT SCREEN_SIZE
#define LOAD_GLCD
#define LOAD_FONT2
#define LOAD_FONT4
#define LOAD_FONT6
#define LOAD_FONT7
#define LOAD_FONT8N
#define LOAD_GFXFF
#define SMOOTH_FONT
#define SPI_FREQUENCY 27000000


#define MYINFODISPLAYTIMESECONDS 10
#define MQTTSERVER "192.168.0.22"
#define MQTTSERVERPORT 1883
#define MQTTCLIENTID "POWERPANELROUND"
#define MQTTUSER "1"
#define MQTTPASSWORD "1"

#define myCheckIntervalSeconds 20
#define BUTTON_DOUBLECLICK_TIME 600


#endif
